Subject: Re: bug#68487: [PATCH] Make jump commands usable for all skeletons

From: Eli Zaretskii <[email-masked]>
Date: Sun, 28 Jan 2024 21:24:55 +0200

> From: Stefan Monnier <[email-masked]>
> Cc: Martin Marshall <[email-masked]>,  [email-masked]
> Date: Sun, 28 Jan 2024 13:47:34 -0500
> 
> >> > OK.  But after applying the patch on the master branch, I get this
> >> > while byte-compiling:
> >> >
> >> >   In toplevel form:
> >> >   expand.el:91:2: Error: Eager macro-expansion failure: (error "Eager macro-expansion skipped due to cycle:
> >> >       => (load \"expand.el\") => (macroexpand-all (define-skeleton expand-c-for-skeleton  )) => (macroexpand (define-skeleton  )) => (load \"skeleton.el\") => (load \"expand.el\")")
> 
> Why does loading `skeleton.el` cause a load of `expand.el`?
> I can't reproduce it here and I can't see any mention of "expand" in
> `skeleton.el` that would explain it.

You need to apply the patch in

   https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68487#5 

Sorry for not making it clear.

> > Stefan, what are our facilities to avoid mutual recursion like that?
> 
> It all depends on the specifics.

TIA for any advice.